Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyDoc

    public interface GroovyDoc
    extends java.lang.Comparable

Method Summary
`java.lang.String` | `commentText()`
`java.lang.String` | `firstSentenceCommentText()`
`java.lang.String` | `getRawCommentText()`
`boolean` | `isAnnotationType()`
`boolean` | `isAnnotationTypeElement()`
`boolean` | `isClass()`
`boolean` | `isConstructor()`
`boolean` | `isDeprecated()`
`boolean` | `isEnum()`
`boolean` | `isEnumConstant()`
`boolean` | `isError()`
`boolean` | `isException()`
`boolean` | `isField()`
`boolean` | `isIncluded()`
`boolean` | `isInterface()`
`boolean` | `isMethod()`
`boolean` | `isOrdinaryClass()`
`java.lang.String` | `name()`
`void` | `setRawCommentText(java.lang.String arg0)`

Methods inherited from interface java.lang.Comparable
java.lang.Comparable#compareTo(java.lang.Object)

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### commentText

    public java.lang.String commentText()

### firstSentenceCommentText

    public java.lang.String firstSentenceCommentText()

### getRawCommentText

    public java.lang.String getRawCommentText()

### isAnnotationType

    public boolean isAnnotationType()

### isAnnotationTypeElement

    public boolean isAnnotationTypeElement()

### isClass

    public boolean isClass()

### isConstructor

    public boolean isConstructor()

### isDeprecated

    public boolean isDeprecated()

### isEnum

    public boolean isEnum()

### isEnumConstant

    public boolean isEnumConstant()

### isError

    public boolean isError()

### isException

    public boolean isException()

### isField

    public boolean isField()

### isIncluded

    public boolean isIncluded()

### isInterface

    public boolean isInterface()

### isMethod

    public boolean isMethod()

### isOrdinaryClass

    public boolean isOrdinaryClass()

### name

    public java.lang.String name()

### setRawCommentText

    public void setRawCommentText(java.lang.String arg0)

Groovy Documentation